org.bdgenomics.adam.rdd.read.realignment

# TargetOrdering

###
Related Doc: package realignment

#### object TargetOrdering extends Ordering[IndelRealignmentTarget]

Linear Supertypes
Ordering[IndelRealignmentTarget], PartialOrdering[IndelRealignmentTarget], Equiv[IndelRealignmentTarget], Serializable, Serializable, Comparator[IndelRealignmentTarget], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TargetOrdering
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Serializable
7. Comparator
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compare(a: IndelRealignmentTarget, b: IndelRealignmentTarget): Int

   Order two indel realignment targets by earlier starting position.

   Order two indel realignment targets by earlier starting position.

   a

     Indel realignment target to compare.

   b

     Indel realignment target to compare.

   returns

     Comparison done by starting position.

   Definition Classes
     TargetOrdering → Ordering → Comparator

7. #### def contains(target: IndelRealignmentTarget, read: AlignmentRecord): Boolean

   Check to see if an indel realignment target contains the given read.

   Check to see if an indel realignment target contains the given read.

   target

     Realignment target to compare.

   read

     Read to compare.

   returns

     True if read alignment is contained in target span.

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def equiv(x: IndelRealignmentTarget, y: IndelRealignmentTarget): Boolean

    Definition Classes
      Ordering → PartialOrdering → Equiv

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def gt(x: IndelRealignmentTarget, y: IndelRealignmentTarget): Boolean

    Definition Classes
      Ordering → PartialOrdering

14. #### def gteq(x: IndelRealignmentTarget, y: IndelRealignmentTarget): Boolean

    Definition Classes
      Ordering → PartialOrdering

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def lt(target: IndelRealignmentTarget, read: RichAlignmentRecord): Boolean

    Compares a read to an indel realignment target to see if it starts before the start of the indel realignment target.

    Compares a read to an indel realignment target to see if it starts before the start of the indel realignment target.

    target

      Realignment target to compare.

    read

      Read to compare.

    returns

      True if start of read is before the start of the indel alignment target.

18. #### def lt(x: IndelRealignmentTarget, y: IndelRealignmentTarget): Boolean

    Definition Classes
      Ordering → PartialOrdering

19. #### def lteq(x: IndelRealignmentTarget, y: IndelRealignmentTarget): Boolean

    Definition Classes
      Ordering → PartialOrdering

20. #### def max(x: IndelRealignmentTarget, y: IndelRealignmentTarget): IndelRealignmentTarget

    Definition Classes
      Ordering

21. #### def min(x: IndelRealignmentTarget, y: IndelRealignmentTarget): IndelRealignmentTarget

    Definition Classes
      Ordering

22. #### implicit def mkOrderingOps(lhs: IndelRealignmentTarget): Ops

    Definition Classes
      Ordering

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def on[U](f: (U) ⇒ IndelRealignmentTarget): Ordering[U]

    Definition Classes
      Ordering

27. #### def overlap(a: IndelRealignmentTarget, b: IndelRealignmentTarget): Boolean

    Compares two indel realignment targets to see if they overlap.

    Compares two indel realignment targets to see if they overlap.

    a

      Indel realignment target to compare.

    b

      Indel realignment target to compare.

    returns

      True if two targets overlap.

28. #### def reverse: Ordering[IndelRealignmentTarget]

    Definition Classes
      Ordering → PartialOrdering

29. #### def reversed(): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def thenComparing[U <: Comparable[_ >: U]](arg0: Function[_ >: IndelRealignmentTarget, _ <: U]): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

32. #### def thenComparing[U](arg0: Function[_ >: IndelRealignmentTarget, _ <: U], arg1: Comparator[_ >: U]): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

33. #### def thenComparing(arg0: Comparator[_ >: IndelRealignmentTarget]): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

34. #### def thenComparingDouble(arg0: ToDoubleFunction[_ >: IndelRealignmentTarget]): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

35. #### def thenComparingInt(arg0: ToIntFunction[_ >: IndelRealignmentTarget]): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

36. #### def thenComparingLong(arg0: ToLongFunction[_ >: IndelRealignmentTarget]): Comparator[IndelRealignmentTarget]

    Definition Classes
      Comparator

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### def tryCompare(x: IndelRealignmentTarget, y: IndelRealignmentTarget): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Ordering[IndelRealignmentTarget]

### Inherited from PartialOrdering[IndelRealignmentTarget]

### Inherited from Equiv[IndelRealignmentTarget]

### Inherited from Serializable

### Inherited from Comparator[IndelRealignmentTarget]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped